View Issue Details

This bug affects 1 person(s).
 8
IDProjectCategoryView StatusLast Update
17837Bug reportsSurvey editingpublic2022-06-07 12:06
Reportertammo Assigned Togabrieljenik  
PrioritynoneSeverityminor 
Status closedResolutionfixed 
Product Version5.2.x 
Summary17837: Directly show edit mode: some quirks
Description

When you switch on "Directly show edit mode" (which I love as a feature!) there are some quirks:

At group level:

  • the group tools are missing, so it is impossible to check logic, export or delete a group
  • When you delete a group using the groups list, after deleting the specific group, you end up in the edit mode of a group, while I hope to end up in the group list.

At question level:

  • the question tools are missing, so it is not possible to directly copy a question

Please add the Tools for both group and question at the edit screen menu bar.

Steps To Reproduce

Steps to reproduce

(Replace this text with detailed step-by-step instructions on how to reproduce the issue)

Expected result

(Write here what you expected to happen)

Actual result

(Write here what happened instead)

TagsNo tags attached.
Bug heat8
Complete LimeSurvey version number (& build)5.2.9
I will donate to the project if issue is resolvedNo
BrowserChrome
Database type & versionMySQL
Server OS (if known)Centos
Webserver software & version (if known)Apache
PHP Version7.3

Users monitoring this issue

User List There are no users monitoring this issue.

Activities

gabrieljenik

gabrieljenik

2022-05-20 21:19

manager   ~69943

When you delete a group using the groups list, after deleting the specific group, you end up in the edit mode of a group, while I hope to end up in the group list.

This is confirmed.

  • the group tools are missing, so it is impossible to check logic, export or delete a group
  • the question tools are missing, so it is not possible to directly copy a question

The tools dropdown on the toolbar is not part of the edit screen right now.
Have taken notice. This is intended to be like that, although maybe it is not the best decision.
@c_schmitz what do you think?

gabrieljenik

gabrieljenik

2022-05-26 14:23

manager   ~70053

When you delete a group using the groups list, after deleting the specific group, you end up in the edit mode of a group, while I hope to end up in the group list.

PR https://github.com/LimeSurvey/LimeSurvey/pull/2441

c_schmitz

c_schmitz

2022-05-31 09:46

administrator   ~70122

Last edited: 2022-05-31 09:47

I think the biggest problem is, that unsaved content will be lost, if you click on one of the items in the tool menu.
Do we really want that?

c_schmitz

c_schmitz

2022-05-31 10:02

administrator   ~70123

Merged the PR for that one issue.

gabrieljenik

gabrieljenik

2022-05-31 10:04

manager   ~70124

Fix committed to master branch: http://bugs.limesurvey.org/plugin.php?page=Source/view&id=33544

tammo

tammo

2022-05-31 10:12

developer   ~70125

Maybe the tools dropdown can be active only when all data is saved?

LimeBot

LimeBot

2022-06-07 12:06

administrator   ~70264

Fixed in Release 5.3.19+220607

Related Changesets

LimeSurvey: master efca172d

2022-05-31 10:02:03

gabrieljenik


Committer: GitHub Details Diff
Fixed issue 17837: Directly show edit mode: some quirks (#2441) Affected Issues
17837
mod - application/controllers/QuestionGroupsAdministrationController.php Diff File
mod - application/extensions/TopbarWidget/views/includes/groupToolsDropdownItems.php Diff File

Issue History

Date Modified Username Field Change
2022-01-17 14:42 tammo New Issue
2022-05-03 17:24 gabrieljenik Assigned To => gabrieljenik
2022-05-03 17:24 gabrieljenik Status new => assigned
2022-05-03 17:25 gabrieljenik Status assigned => new
2022-05-20 21:19 gabrieljenik Status new => confirmed
2022-05-20 21:19 gabrieljenik Note Added: 69943
2022-05-20 21:19 gabrieljenik Bug heat 0 => 2
2022-05-23 17:24 gabrieljenik Status confirmed => assigned
2022-05-26 14:23 gabrieljenik Status assigned => ready for testing
2022-05-26 14:23 gabrieljenik Note Added: 70053
2022-05-31 09:46 c_schmitz Note Added: 70122
2022-05-31 09:46 c_schmitz Bug heat 2 => 4
2022-05-31 09:47 c_schmitz Note Edited: 70122
2022-05-31 10:02 c_schmitz Status ready for testing => feedback
2022-05-31 10:02 c_schmitz Note Added: 70123
2022-05-31 10:04 gabrieljenik Changeset attached => LimeSurvey master efca172d
2022-05-31 10:04 gabrieljenik Note Added: 70124
2022-05-31 10:04 gabrieljenik Resolution open => fixed
2022-05-31 10:12 tammo Note Added: 70125
2022-05-31 10:12 tammo Bug heat 4 => 6
2022-05-31 10:12 tammo Status feedback => assigned
2022-06-07 12:06 LimeBot Note Added: 70264
2022-06-07 12:06 LimeBot Status assigned => closed
2022-06-07 12:06 LimeBot Bug heat 6 => 8